<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Manage_DriverSocialProfiles StructType
 * @subpackage Structs
 */
class Manage_DriverSocialProfiles extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The DriverProfile
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\DriverProfile
     */
    public $DriverProfile;
    /**
     * Constructor method for Manage_DriverSocialProfiles
     * @uses Manage_DriverSocialProfiles::setLogin()
     * @uses Manage_DriverSocialProfiles::setDriverProfile()
     * @param \StructType\Login $login
     * @param \StructType\DriverProfile $driverProfile
     */
    public function __construct(\StructType\Login $login = null, \StructType\DriverProfile $driverProfile = null)
    {
        $this
            ->setLogin($login)
            ->setDriverProfile($driverProfile);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Manage_DriverSocialProfiles
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get DriverProfile value
     * @return \StructType\DriverProfile|null
     */
    public function getDriverProfile()
    {
        return $this->DriverProfile;
    }
    /**
     * Set DriverProfile value
     * @param \StructType\DriverProfile $driverProfile
     * @return \StructType\Manage_DriverSocialProfiles
     */
    public function setDriverProfile(\StructType\DriverProfile $driverProfile = null)
    {
        $this->DriverProfile = $driverProfile;
        return $this;
    }
}
